PASTE(1)

NAME
paste - paste multiple files together

SYNOPSIS
paste [-s] [-d list] file...

OPTIONS

EXAMPLES

DESCRIPTION

Paste concatenates corresponding lines of the given input files and writes them to standard output. The lines of the different files are separated by the delimiters given with the option -s. If no list is given, a tab is substituted for every linefeed, except the last one. If end-of-file is hit on an input file, subsequent lines are empty. Suppose a set of k files each has one word per line. Then the paste output will have k columns, with the contents of file j in column j. If the -s flag is given, then the first file is on line 1, the second file on line 2, etc. In effect, -s turns the output sideways.

If a list of delimiters is given, they are used in turn. The C escape sequences \n, \t, \\, and \0 are used for linefeed, tab, backslash, and the null string, respectively.